Request Password Reset
Sends a password reset email to the specified address if an account exists.
Authentication: None required
Protection: Requires Cloudflare Turnstile token
Authorization
BearerAuth JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
Email address to send reset link to
emaillength <= 255Cloudflare Turnstile token for bot protection
1 <= lengthResponse Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/RequestPasswordReset" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}Regenerate Recovery Codes POST
Generates a new set of recovery codes, invalidating all previous codes. Requires current password. **Required scopes:** `auth:account:edit`
Resend Verification POST
Resends the verification email to the specified address. **Authentication:** None required **Protection:** Requires Cloudflare Turnstile token